---
agentTools:
  projectIndex: https://unpedash.readme.io/llms.txt
---

# Bank Account Verification (Get Bank Name)

### Header

| Name         | Type   | Value                                      |
| :----------- | :----- | :----------------------------------------- |
| api-key      | string | (get it from api credentials in api panel) |
| content-type | string | application/json                           |
| accept       | string | application/json                           |

```php php
$header = [  
    'accept: application/json',  
    'api-key: XdWCmd0NF1ZVklnVPegOdL59WkFM7o4h91UYPAt1',  
    'content-type: application/json',  
];
```

### Request Body Parameters

| Name                 | Type    | Value                                     |
| :------------------- | :------ | :---------------------------------------- |
| partner\_id          | integer | (Get in from api panel you api parner id) |
| mobile               | String  | Remitter Mobile                           |
| beneficiary\_account | String  | Beneficiary Bank Account                  |
| beneficiary\_ifsc    | String  | Beneficiary Bank Ifsc                     |
| beneficiary\_bankid  | String  | Get from dmt bank list api                |

```php
$parameter = [
    "partner_id" => "2",
    "mobile" => "7307048402",
    "beneficiary_account" => "1234567890",
    "beneficiary_ifsc" => "ICIC0003114",
    "beneficiary_bankid" => "656",
]

$body_json_string = json_encode($parameter);
```

### Request Body to be sent in Json

| Name | type   | Value                                               |
| :--- | :----- | :-------------------------------------------------- |
| body | String | Aes Encypted of Json Encoded Body Parameters String |

```php
$request_body = [
    "body" => "93A5D34BEED49E72621EAF6327DE9760D76BACB79B4879B578AB4C52F238BEFFCA619103BB9569D80FA87668B5B978F525EA3B44BFB8FBF1A06F440BED0685D3EE778C8DBD0D80F6688DF34E556CC9DE43A928BD5160347D14BEEB8E4B77829D6576842B927B69ACEA00A89FE0FEC80D63C3262AAE01DD9731E7B39AB7A6DFF2E9481EF0A532AF3A6CE87E80758CC0A8F62A6CEE5F1ED477AE10084F1C1624D7F7B4CE6A4175933A3FEB231DE718BAE613F5F322F1319172518A9B7D347F79B1F94B9F82B433210AB7A70D601DD692F9B2320A8DB42484CBC342416FACCB5B048C55C1B61D175EE3F95DD6273DA7B7E8"
];

$final_body = json_encode($request_body);
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Money Transfer",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://unpay.in/tech/api/dmt/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "api-key",
        "x-default": "XdWCmd0NF1ZVklnVPegOdL59WkFM7o4h91UYPAt1"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/beneficiary/getname": {
      "post": {
        "summary": "Bank Account Verification (Get Bank Name)",
        "description": "",
        "operationId": "bank-account-verification-get-bank-name",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "body": {
                    "type": "string",
                    "default": "93A5D34BEED49E72621EAF6327DE9760D76BACB79B4879B578AB4C52F238BEFFCA619103BB9569D80FA87668B5B978F5158FF42736420863870C38F5B44D67C2EB2BB45066D43C7964BE1416B849EF9B669289ED07894FCAB3F0806C138F8F6655311D13D47177EDBB88F7ADF25DEE69FF2C61416D7089CF14E16486E379D5E64DE9727B602B0E9D882AC623EA290E1C71D1551C4BB040CD17E9D048FB83A5771B350AC33CBFC6D0B8D086B48D07E6A0A5E19F0353E6F50735B5FBEA3C1CA8A9F8A869310A9A731A7E2C77BEB1CD97D3262004FFB7274F42A8DE467CC9BD5346"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Beneficiary Bank Account Name Fetched Successfully": {
                    "value": "{\n    \"statuscode\": \"TXN\",\n    \"message\": \"Transaction Successfull\",\n    \"bankname\": \"HIMANSHU CHANSORIYA\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statuscode": {
                      "type": "string",
                      "example": "TXN"
                    },
                    "message": {
                      "type": "string",
                      "example": "Transaction Successfull"
                    },
                    "bankname": {
                      "type": "string",
                      "example": "HIMANSHU CHANSORIYA"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Tranaction Failed": {
                    "value": "{\n    \"statuscode\": \"TXF\",\n    \"message\": \"Failed Reason\"\n}"
                  },
                  "Api Lever Error": {
                    "value": "{\n    \"statuscode\": \"ERR\",\n    \"message\": \"Error Message\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Tranaction Failed",
                      "type": "object",
                      "properties": {
                        "statuscode": {
                          "type": "string",
                          "example": "TXF"
                        },
                        "message": {
                          "type": "string",
                          "example": "Failed Reason"
                        }
                      }
                    },
                    {
                      "title": "Api Lever Error",
                      "type": "object",
                      "properties": {
                        "statuscode": {
                          "type": "string",
                          "example": "ERR"
                        },
                        "message": {
                          "type": "string",
                          "example": "Error Message"
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "652a3f9c7d4e97005a9ec0cb:652a3f9c7d4e97005a9ec0dd"
}
```